package com.fuyuanshen.fyscustomer.service;

import com.fuyuanshen.fyscustomer.domain.Customer;
import com.fuyuanshen.fyscustomer.domain.query.UserQueryCriteria;

import java.util.List;
import java.util.Set;

/**
 * @author: 默苍璃
 * @date: 2025-07-0114:31
 */
public interface CustomerService {

    /**
     * 查询所有客户
     *
     * @param criteria
     * @return
     */
    List<Customer> queryAllCustomers(UserQueryCriteria criteria);

    /**
     * 新增客户
     *
     * @param customer /
     */
    void addCustomer(Customer customer);

    /**
     * 修改客户
     *
     * @param resources /
     * @throws Exception /
     */
    void updateCustomer(Customer resources) throws Exception;

    /**
     * 删除客户
     *
     * @param ids /
     */
    void delete(Set<Long> ids);



}
